List Aave V3 Positions
curl --request GET \
--url https://api.defiorbit.xyz/v1/lending/aavev3 \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.defiorbit.xyz/v1/lending/aavev3', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.defiorbit.xyz/v1/lending/aavev3"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.defiorbit.xyz/v1/lending/aavev3"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.defiorbit.xyz/v1/lending/aavev3")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.defiorbit.xyz/v1/lending/aavev3")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.defiorbit.xyz/v1/lending/aavev3",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"chain_id": 8453,
"wallet": "0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495",
"positions": [
{
"marketId": "main",
"healthFactor": "1.42",
"totalCollateralUSD": "5085.89",
"totalDebtUSD": "2854.38",
"netWorthUSD": "2231.51",
"suppliedAssets": [
{
"symbol": "WETH",
"amountSuppliedUSD": "1706.67",
"supplyAPY": "1.63",
"isCollateral": true
}
],
"borrowedAssets": [
{
"symbol": "USDC",
"amountBorrowedUSD": "2854.38",
"borrowAPY": "4.48"
}
]
}
],
"calculations": [
{
"targetHealthFactor": 1.5,
"healthFactor": "1.42",
"dailySupplyInterestUSD": "0.08",
"dailyBorrowInterestUSD": "0.35",
"netDailyInterestUSD": "-0.27",
"safeBorrowAmountUSD": "200.00",
"safeWithdrawAmountUSD": "500.00",
"currentLtvPercentage": "56.12",
"netAPY": "-4.47",
"positionLeverage": "1.28",
"weightedSupplyAPY": "1.63",
"weightedBorrowAPY": "4.48",
"borrowUtilizationRate": "74.24"
}
]
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 1,
"next_page": null,
"prev_page": null
},
"request_id": "req_..."
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "page must be a positive integer.",
"request_id": "req_..."
}
}{
"error": {
"code": "INVALID_API_KEY",
"message": "Missing API key.",
"request_id": "req_..."
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient API credits.",
"request_id": "req_..."
}
}{
"error": {
"code": "ACCOUNT_SUSPENDED",
"message": "This organization is suspended.",
"request_id": "req_..."
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Please try again later.",
"request_id": "req_..."
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred.",
"request_id": "req_..."
}
}List Aave V3 Positions
Live Aave V3 lending/borrowing positions for a wallet from the lending indexer, one entry per chain, with calculations. Optional market_id and target_health_factor (default 1.5).
Credits: 15 per matching wallet/chain result, before pagination.
GET
https://api.defiorbit.xyz
/
v1
/
lending
/
aavev3
List Aave V3 Positions
curl --request GET \
--url https://api.defiorbit.xyz/v1/lending/aavev3 \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.defiorbit.xyz/v1/lending/aavev3', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.defiorbit.xyz/v1/lending/aavev3"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.defiorbit.xyz/v1/lending/aavev3"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.defiorbit.xyz/v1/lending/aavev3")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.defiorbit.xyz/v1/lending/aavev3")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.defiorbit.xyz/v1/lending/aavev3",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"chain_id": 8453,
"wallet": "0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495",
"positions": [
{
"marketId": "main",
"healthFactor": "1.42",
"totalCollateralUSD": "5085.89",
"totalDebtUSD": "2854.38",
"netWorthUSD": "2231.51",
"suppliedAssets": [
{
"symbol": "WETH",
"amountSuppliedUSD": "1706.67",
"supplyAPY": "1.63",
"isCollateral": true
}
],
"borrowedAssets": [
{
"symbol": "USDC",
"amountBorrowedUSD": "2854.38",
"borrowAPY": "4.48"
}
]
}
],
"calculations": [
{
"targetHealthFactor": 1.5,
"healthFactor": "1.42",
"dailySupplyInterestUSD": "0.08",
"dailyBorrowInterestUSD": "0.35",
"netDailyInterestUSD": "-0.27",
"safeBorrowAmountUSD": "200.00",
"safeWithdrawAmountUSD": "500.00",
"currentLtvPercentage": "56.12",
"netAPY": "-4.47",
"positionLeverage": "1.28",
"weightedSupplyAPY": "1.63",
"weightedBorrowAPY": "4.48",
"borrowUtilizationRate": "74.24"
}
]
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 1,
"next_page": null,
"prev_page": null
},
"request_id": "req_..."
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "page must be a positive integer.",
"request_id": "req_..."
}
}{
"error": {
"code": "INVALID_API_KEY",
"message": "Missing API key.",
"request_id": "req_..."
}
}{
"error": {
"code": "INSUFFICIENT_CREDITS",
"message": "Insufficient API credits.",
"request_id": "req_..."
}
}{
"error": {
"code": "ACCOUNT_SUSPENDED",
"message": "This organization is suspended.",
"request_id": "req_..."
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Please try again later.",
"request_id": "req_..."
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred.",
"request_id": "req_..."
}
}Authorizations
Query Parameters
Wallet address.
Example:
"0xbf7620d0377b0660a6cbaef5cdfe2e00eddc1495"
Omit for all markets. Values: main, lido, horizon.
Available options:
main, lido, horizon Target health factor. Default: 1.5.
Chain ID.
Page. Default: 1.
Maximum 25. Default: 10.
Required range:
x <= 25